<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.RepayPromotionMxMapper">

    <resultMap type="com.ssm.manage.entity.RepayPromotionMx" id="RepayPromotionMxMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="repayTradeId" column="repay_trade_id" jdbcType="INTEGER"/>
        <result property="accountId" column="account_id" jdbcType="INTEGER"/>
        <result property="beforePrice" column="before_price" jdbcType="NUMERIC"/>
        <result property="beforeRestMoney" column="before_rest_money" jdbcType="NUMERIC"/>
        <result property="beforeConsumeMoney" column="before_consume_money" jdbcType="NUMERIC"/>
        <result property="beforeRestCount" column="before_rest_count" jdbcType="INTEGER"/>
        <result property="beforeConsumeCount" column="before_consume_count" jdbcType="INTEGER"/>
        <result property="backPrice" column="back_price" jdbcType="NUMERIC"/>
        <result property="backRestMoney" column="back_rest_money" jdbcType="NUMERIC"/>
        <result property="backConsumeMoney" column="back_consume_money" jdbcType="NUMERIC"/>
        <result property="backRestCount" column="back_rest_count" jdbcType="INTEGER"/>
        <result property="backConsumeCount" column="back_consume_count" jdbcType="INTEGER"/>
        <result property="beforeGiftRestMoney" column="before_gift_rest_money" jdbcType="NUMERIC"/>
        <result property="beforeGiftConsumeMoney" column="before_gift_consume_money" jdbcType="NUMERIC"/>
        <result property="backGiftRestMoney" column="back_gift_rest_money" jdbcType="NUMERIC"/>
        <result property="backGiftConsumeMoney" column="back_gift_consume_money" jdbcType="NUMERIC"/>
    </resultMap>
</mapper>

